package ru.yandex.qe.dispenser.ws.quota.request.workflow.context;

import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

import ru.yandex.qe.dispenser.domain.Person;

public class PerformerContext {
    @NotNull
    private final Person person;
    @Nullable
    private Long tvmId;
    @Nullable
    private String comment;

    public PerformerContext(@NotNull final Person person) {
        this.person = person;
    }

    @NotNull
    public Person getPerson() {
        return person;
    }

    @Nullable
    public Long getTvmId() {
        return tvmId;
    }

    public void setTvmId(@Nullable final Long tvmId) {
        this.tvmId = tvmId;
    }

    @Nullable
    public String getComment() {
        return comment;
    }

    public void setComment(@Nullable final String comment) {
        this.comment = comment;
    }
}
